Sign in to follow this  
Followers 0

R13 Plugins, And Chamfer Maker

14 posts in this topic

Posted

I just installed R13. Realizing that NO R11.5 plugins will work on R12/13. Correct?

Specifically, I'm looking for a new version of Chamfer Maker. I thought I found something here: https://github.com/andreberg/C4D-ChamferMaker-R12

But I don't see anything when I try to add it to R13.

So, two questions:

1) Am I incorrect in my assumption that R12 plugs should also work with R13?

2) Is there something I'm not doing right in my attempts to install the plug(s) in the "plugins" folder in R13? I'm just dragging them in, as I have countless times to all the previous versions of Cinema.

Thanks for any help.

Share this post


Link to post
Share on other sites

Posted

I downloaded the plugin and installed it. It works, though short after installing it and pressing the spinner of a selection in one of the scene files, C4D said graciously goodbye. In any case it works.

Did you download the files using the Download option offered on the link you posted?

Share this post


Link to post
Share on other sites

Posted

I just installed R13. Realizing that NO R11.5 plugins will work on R12/13. Correct?

Correct unless the plugin is a COFFEE scripted plugin.

Am I incorrect in my assumption that R12 plugs should also work with R13?

In most cases yes. If the plugin requires a serial number or licence file then you will need to get an updated one from the plugin developer.

Correct me if I'm wrong folks.

3DKiwi

Share this post


Link to post
Share on other sites

Posted

Yes. I used the "download" button for the zipped file. Did I mention I'm Mac-based? I couldn't readily tell from the folder when it unzipped. Perhaps, it was for Windows?

Also, when you say "installed" do you simply mean that you dragged the unzipped folder into the "plugins" folder in the root directory of the C4D application?

Thanks so much.

Share this post


Link to post
Share on other sites

Posted

Yes, I just copied the files to the plugin folder.

As I am in Windows and the plugin works I believe it is compiled for Windows and not for Mac.

Now if you find someone to compile the source code for you for Mac, you might have an usable version.

Share this post


Link to post
Share on other sites

Posted

Did you download he Project files & Source or the precompiled archive?

The archive contains both PC & Mac 32bit & 64bit for R.12. (Don't know if it works in R.13.)

Alan.

Share this post


Link to post
Share on other sites

Posted

Al, if you distinguish the code for Mac, and it was properly compiled it should work with R13. At least for Windows it does.

Share this post


Link to post
Share on other sites

Posted

Chamfer Maker works here, R13, OS X 10.6.8

Share this post


Link to post
Share on other sites

Posted

I'm stuck in the dim and dark past at 11.5 so it doesn't really matter to me.

It is just that Source and Compiled zips are both available on that link. :)

Alan.

Share this post


Link to post
Share on other sites

Posted

Chamfer Maker works here, R13, OS X 10.6.8

Thanks, everyone, for the continued input.

SKP - Did you download the zipped package from that site? I have no computer-scripting understanding, at all. So, compiling anything would be useless for me.

I'm trying this on a Mac running 10.5.8, but I wouldn't think that would be an issue for a plugin, if C4D R13 is already running fine at that version.

Cheers!

Share this post


Link to post
Share on other sites

Posted

It's compiled for both windows and mac. Perhaps you downloaded the sources instead of the compiled version?

When you click on the download button, don't click the "Download .tar.gz" or "Download .zip" buttons. Below that is a link for the compiled plugin, which includes both the cdl's and dylib files for win and mac.

-kvb

Share this post


Link to post
Share on other sites

Posted

This is the file you need. The other two are the Source Projects.

Alan.

post-5283-0-53614300-1316899895_thumb.jp

Share this post


Link to post
Share on other sites

Posted

Many plugins have built in version checkers that prevent them from working between versions even though the code is, otherwise, compatible. For example, I had to re-download, an appropriately modified version of Cactus Dan's R12 version of CD Symmetry Tools, to get it to work. Dan was very helpful and informed me immediately of the need to do this.

Share this post


Link to post
Share on other sites

Posted

Oooh...that's a BING-GO!!!

Guys, you're awesome. That was exactly my problem. I was downloading the other zipped file, and that was getting me nowhere.

As for the version-specific code. I don't have any purchased plugins, but if I do buy any, I'll make sure that they're properly coded to R13. Thanks for that extra heads-up.

Share this post


Link to post
Share on other sites
This topic is now closed to further replies.
Sign in to follow this  
Followers 0

  • Recently Browsing   0 members

    No registered users viewing this page.